function  Image=Lecture(nom)
%  Image=Lecture(nom)  : Lecture d'une image 
%  format support : pgm et ceux de imread (jpeg, tiff, ...)
%   exemple : Im1=Lecture('lezard.pgm');
%
%  Pour une image brute, voir LectureRaw
%
% Courtesy of Dr Jean-Marc Odobez - odobez@idiap.ch
  
  [s,r]=strtok(nom,'.');
  while ~size(r,2)==0
    [s,r]=strtok(r,'.');
  end

  if strcmp(s,'pgm')==1
    Image=double(LecturePgm(nom));
  elseif strcmp(s,'ppm')==1
      Image=double(LecturePnm(nom));
  elseif strcmp(s,'pnm')==1
      Image=double(LecturePnm(nom));
  else
    Image=imread(nom);
    Image=double(Image);
  end
