function s060309_look_at_cc_analysis( filename )
  
  load( filename, 'cc_result' );
  
  disp( ' ' );
  disp( [ mfilename ' loaded "' filename '"' ] );
  
  h( 1 ) =  figure;
  h( 2 ) =  figure;
  h( 3 ) =  figure;
  
  h
  disp( 'place figures and press a key' );
  pause
  
  % Find where the "video and audio" results are
  
  av = [];
  
  for a = 1:numel( cc_result.list )
    
    if numel( cc_result.list( a ).size2 ) == 2
      
      av( end+1 ).list_ind = a;
      
    end
    
  end
    
  % Sanity check
  
  if numel( av ) > numel( h )
    error( sprintf( [ mfilename ' was expecting at most %d video channels and 1 audio channel.' ], numel( h ) ) );
  end
  
  % Get the number of sectors
  
  nsectors = cc_result.list( av( 1 ).list_ind ).size2( 1 );
  
  % Display them
  
  for a = 1:nsectors
    
    for b = 1:numel( h )
      
      rl = av( b ).list_ind;
      
      figure( h( b ) );
      
      imagesc( cc_result.list( rl ).mat( :,:,a ), [-1 1] ); colorbar;
      
      title( strrep( [ cc_result.list( rl ).description ' - sector #' num2str( a ) ], '_', '\_' ) );
            
    end
    
    
    pause
    
  end
  
  
  keyboard
  