function x = my_ricernd( sigma, V, m, n )

% function x = my_ricernd( sigma, V, m, n )
  
  if nargin < 1
    error( [ mfilename ' needs at least 1 input argument.' ] );
  end
  
  if ~exist( 'V', 'var' )    V = 0; end;
  if ~exist( 'm', 'var' )    m = 1; end;
  if ~exist( 'm', 'var' )    n = 1; end;
  
  V = abs( V );
  
  x = my_riceinv( rand( m, n ), sigma, V );
  